openSUSE Security Update : openldap2 (openSUSE-2016-92) (Logjam)

medium Nessus Plugin ID 88165
New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 4.2

Synopsis

The remote openSUSE host is missing a security update.

Description

This update fixes the following security issues :

- CVE-2015-6908: The ber_get_next function allowed remote attackers to cause a denial of service (reachable assertion and application crash) via crafted BER data, as demonstrated by an attack against slapd. (bsc#945582)

- CVE-2015-4000: Fix weak Diffie-Hellman size vulnerability. (bsc#937766)

It also fixes the following non-security bugs :

- bsc#955210: Unresponsive LDAP host lookups in IPv6 environment

- bsc#904028: Add missing dependency binutils used by %pre.

Solution

Update the affected openldap2 packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=904028

https://bugzilla.opensuse.org/show_bug.cgi?id=937766

https://bugzilla.opensuse.org/show_bug.cgi?id=945582

https://bugzilla.opensuse.org/show_bug.cgi?id=955210

Plugin Details

Severity: Medium

ID: 88165

File Name: openSUSE-2016-92.nasl

Version: 2.5

Type: local

Agent: unix

Published: 1/26/2016

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

Risk Factor: Medium

VPR Score: 4.2

CVSS v2.0

Base Score: 5

Temporal Score: 3.9

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: E:POC/RL:OF/RC:C

CVSS v3.0

Base Score: 3.7

Temporal Score: 3.4

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:N

Temporal Vector: E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:compat-libldap-2_3-0, p-cpe:/a:novell:opensuse:compat-libldap-2_3-0-debuginfo, p-cpe:/a:novell:opensuse:libldap-2_4-2, p-cpe:/a:novell:opensuse:libldap-2_4-2-32bit, p-cpe:/a:novell:opensuse:libldap-2_4-2-debuginfo, p-cpe:/a:novell:opensuse:libldap-2_4-2-debuginfo-32bit, p-cpe:/a:novell:opensuse:openldap2, p-cpe:/a:novell:opensuse:openldap2-back-meta, p-cpe:/a:novell:opensuse:openldap2-back-meta-debuginfo, p-cpe:/a:novell:opensuse:openldap2-back-perl, p-cpe:/a:novell:opensuse:openldap2-back-perl-debuginfo, p-cpe:/a:novell:opensuse:openldap2-back-sql, p-cpe:/a:novell:opensuse:openldap2-back-sql-debuginfo, p-cpe:/a:novell:opensuse:openldap2-client, p-cpe:/a:novell:opensuse:openldap2-client-debuginfo, p-cpe:/a:novell:opensuse:openldap2-client-debugsource, p-cpe:/a:novell:opensuse:openldap2-debuginfo, p-cpe:/a:novell:opensuse:openldap2-debugsource, p-cpe:/a:novell:opensuse:openldap2-devel, p-cpe:/a:novell:opensuse:openldap2-devel-32bit, p-cpe:/a:novell:opensuse:openldap2-devel-static, cpe:/o:novell:opensuse:13.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 1/25/2016

Reference Information

CVE: CVE-2015-4000, CVE-2015-6908